window.Gleam.initSearch([{"doc":"glenvy","title":"glenvy","content":"# glenvy\n\n[![Package Version](https://img.shields.io/hexpm/v/glenvy)](https://hex.pm/packages/glenvy)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/glenvy/)\n![Erlang-compatible](https://img.shields.io/badge/target-erlang-b83998)\n![JavaScript-compatible](https://img.shields.io/badge/target-javascript-f1e05a)\n\n🏞️ A pleasant way to interact with your environment variables.\n\n## Installation\n\n```sh\ngleam add glenvy\n```\n\n## Usage\n\n```gleam\nimport gleam/io\nimport gleam/result.{try}\nimport glenvy/dotenv\nimport glenvy/env\n\npub fn main() {\n  let _ = dotenv.load()\n\n  use hello &lt;- try(env.get_string(&quot;HELLO&quot;))\n\n  io.println(&quot;HELLO=&quot; &lt;&gt; hello)\n\n  Ok(Nil)\n}\n```\n","url":"index.html"},{"doc":"glenvy/dotenv","title":"Error","content":"pub type Error {\n  Io(simplifile.FileError)\n}\n An error that occurred while reading a `.env` file.\nIo(simplifile.FileError)\n An IO error.\n\nSynonyms:\nglenvy/dotenv.Error\nglenvy/dotenv Error","url":"glenvy/dotenv.html#Error"},{"doc":"glenvy/dotenv","title":"load","content":"pub fn load() -&gt; Result(Nil, Error)\n Loads the `.env` file.\nSynonyms:\nglenvy/dotenv.load\nglenvy/dotenv load","url":"glenvy/dotenv.html#load"},{"doc":"glenvy/dotenv","title":"load_from","content":"pub fn load_from(path filepath: String) -&gt; Result(Nil, Error)\n Loads the file at the specified path as a `.env` file.\nSynonyms:\nglenvy/dotenv.load_from\nglenvy/dotenv load_from","url":"glenvy/dotenv.html#load_from"},{"doc":"glenvy/dotenv","title":"read_from","content":"pub fn read_from(\n  path filepath: String,\n) -&gt; Result(Dict(String, String), Error)\n Reads the environment variables from the specified `.env` file.\nSynonyms:\nglenvy/dotenv.read_from\nglenvy/dotenv read_from","url":"glenvy/dotenv.html#read_from"},{"doc":"glenvy/dotenv","title":"glenvy/dotenv","content":" Support for `.env` files.","url":"glenvy/dotenv.html"},{"doc":"glenvy/env","title":"Error","content":"pub type Error {\n  NotFound(name: String)\n  FailedToParse(name: String)\n}\n An error that occurred while reading an environment variable.\nNotFound(name: String)\n The environment variable with the given name was not found.\n\nFailedToParse(name: String)\n The environment variable with the given name failed to parse.\n\nSynonyms:\nglenvy/env.Error\nglenvy/env Error","url":"glenvy/env.html#Error"},{"doc":"glenvy/env","title":"get","content":"pub fn get(\n  name: String,\n  parser parse: fn(String) -&gt; Result(a, b),\n) -&gt; Result(a, Error)\n Returns the value for the environment variable with the given name.\n\n Uses the provided `parser` to parse the value.\n\n Returns `Error(FailedToParse)` if the provided `parser` returns an error.\nSynonyms:\nglenvy/env.get\nglenvy/env get","url":"glenvy/env.html#get"},{"doc":"glenvy/env","title":"get_all","content":"pub fn get_all() -&gt; Dict(String, String)\n Returns all of the available environment variables for the current process.\nSynonyms:\nglenvy/env.get_all\nglenvy/env get_all","url":"glenvy/env.html#get_all"},{"doc":"glenvy/env","title":"get_bool","content":"pub fn get_bool(name: String) -&gt; Result(Bool, Error)\n Returns the value for the environment variable with the given name as a `Bool`.\n\n The following values are parsed as `True`:\n - `true`\n - `t`\n - `yes`\n - `y`\n - `1`\n\n The following values are parsed as `False`:\n - `false`\n - `f`\n - `no`\n - `n`\n - `0`\n\n The parsing is case-insensitive.\n\n Returns `Error(FailedToParse)` if the environment variable cannot be parsed as a `Bool`.\n\n Use `get` if you want to provide your own parser.\nSynonyms:\nglenvy/env.get_bool\nglenvy/env get_bool","url":"glenvy/env.html#get_bool"},{"doc":"glenvy/env","title":"get_float","content":"pub fn get_float(name: String) -&gt; Result(Float, Error)\n Returns the value for the environment variable with the given name as a `Float`.\n\n Returns `Error(FailedToParse)` if the environment variable cannot be parsed as a `Float`.\nSynonyms:\nglenvy/env.get_float\nglenvy/env get_float","url":"glenvy/env.html#get_float"},{"doc":"glenvy/env","title":"get_int","content":"pub fn get_int(name: String) -&gt; Result(Int, Error)\n Returns the value for the environment variable with the given name as an `Int`.\n\n Returns `Error(FailedToParse)` if the environment variable cannot be parsed as an `Int`.\nSynonyms:\nglenvy/env.get_int\nglenvy/env get_int","url":"glenvy/env.html#get_int"},{"doc":"glenvy/env","title":"get_string","content":"pub fn get_string(name: String) -&gt; Result(String, Error)\n Returns the value for the environment variable with the given name as a `String`.\nSynonyms:\nglenvy/env.get_string\nglenvy/env get_string","url":"glenvy/env.html#get_string"},{"doc":"glenvy/env","title":"glenvy/env","content":" Strongly-typed access to environment variables.","url":"glenvy/env.html"}]);